Subject: bug#56210: 29.0.50; Keyboard macros do not trigger after-change-functions

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 28 Jun 2022 14:26:30 +0200

Eli Zaretskii <[email-masked]> writes:

> I didn't write that code, and have no sentiments for it (although I
> generally assume that all the temporary buffers disable such hooks for
> performance reasons).  I just explained what Richard saw, and it took
> me some non-trivial time.
>
> Maybe we should modify with-current-buffer-window to not have such
> global effects on the body?

I think that would be good, but somebody should investigate why whoever
added that binding in temp-buffer-window-setup did it in the first
place.  Perhaps there's some obscure reason why it makes sense -- it's
not at all obvious to me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no